export interface DmsMaintInstanceActivityVO {
  /**
   * 保养工单实例节点ID
   */
  instanceActivityId: string | number;

  /**
   * 保养工单实例ID，关联dms_bills_maint_instance的maint_instance_id
   */
  maintInstanceId: string | number;

  /**
   * 流程定义ID
   */
  wfDefinitionId: string | number;

  /**
   * 工单流程节点ID
   */
  wfNodeId: string | number;

  /**
   * 保养级别（1日常保养 2月度保养 3年度保养）;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  maintLevel: string;

  /**
   * 保养组别;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  maintGroup: string;

  /**
   * 保养负责人;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  maintSupervisor: string;

  /**
   * 处理意见;第一步不显示，从第二步开始只显示此字段
   */
  processHandleResolution: string;

  /**
   * 状态(0已结束 1执行中 2待接取 3已转发）
   */
  processHandleStatus: string;

  /**
   * 工单流程步骤顺序
   */
  processStepOrder: number;

  /**
   * 执行开始时间
   */
  startTime: string;

  /**
   * 执行结束时间
   */
  endTime: string;

  /**
   * 处理人ID（关联sys_user的user_id)
   */
  handleUserId: string | number;

  /**
   * 处理人
   */
  handleBy: string;

  /**
   * 处理时间
   */
  handleTime: string;

  /**
   * 转单人用户id或转发协助用户id
   */
  transferUserId: string | number;

  /**
   * 用户预留1
   */
  attr1: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsMaintInstanceActivityForm extends BaseEntity {
  /**
   * 保养工单实例节点ID
   */
  instanceActivityId?: string | number;

  /**
   * 保养工单实例ID，关联dms_bills_maint_instance的maint_instance_id
   */
  maintInstanceId?: string | number;

  /**
   * 流程定义ID
   */
  wfDefinitionId?: string | number;

  /**
   * 工单流程节点ID
   */
  wfNodeId?: string | number;

  /**
   * 保养级别（1日常保养 2月度保养 3年度保养）;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  maintLevel?: string;

  /**
   * 保养组别;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  maintGroup?: string;

  /**
   * 保养负责人;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  maintSupervisor?: string;

  /**
   * 处理意见;第一步不显示，从第二步开始只显示此字段
   */
  processHandleResolution?: string;

  /**
   * 状态(0已结束 1执行中 2待接取 3已转发）
   */
  processHandleStatus?: string;

  /**
   * 工单流程步骤顺序
   */
  processStepOrder?: number;

  /**
   * 执行开始时间
   */
  startTime?: string;

  /**
   * 执行结束时间
   */
  endTime?: string;

  /**
   * 处理人ID（关联sys_user的user_id)
   */
  handleUserId?: string | number;

  /**
   * 处理人
   */
  handleBy?: string;

  /**
   * 处理时间
   */
  handleTime?: string;

  /**
   * 转单人用户id或转发协助用户id
   */
  transferUserId?: string | number;

  /**
   * 用户预留1
   */
  attr1?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsMaintInstanceActivityQuery extends PageQuery {

  /**
   * 保养工单实例节点ID
   */
  instanceActivityId?: string | number;

  /**
   * 保养工单实例ID，关联dms_bills_maint_instance的maint_instance_id
   */
  maintInstanceId?: string | number;

  /**
   * 流程定义ID
   */
  wfDefinitionId?: string | number;

  /**
   * 工单流程节点ID
   */
  wfNodeId?: string | number;

  /**
   * 保养级别（1日常保养 2月度保养 3年度保养）;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  maintLevel?: string;

  /**
   * 保养组别;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  maintGroup?: string;

  /**
   * 保养负责人;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  maintSupervisor?: string;

  /**
   * 处理意见;第一步不显示，从第二步开始只显示此字段
   */
  processHandleResolution?: string;

  /**
   * 状态(0已结束 1执行中 2待接取 3已转发）
   */
  processHandleStatus?: string;

  /**
   * 工单流程步骤顺序
   */
  processStepOrder?: number;

  /**
   * 执行开始时间
   */
  startTime?: string;

  /**
   * 执行结束时间
   */
  endTime?: string;

  /**
   * 处理人ID（关联sys_user的user_id)
   */
  handleUserId?: string | number;

  /**
   * 处理人
   */
  handleBy?: string;

  /**
   * 处理时间
   */
  handleTime?: string;

  /**
   * 转单人用户id或转发协助用户id
   */
  transferUserId?: string | number;

  /**
   * 用户预留1
   */
  attr1?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



