export interface DmsRecordInspectVO {
  /**
   * 主键标识
   */
  recordInspectId: string | number;

  /**
   * 计划ID，关联dms_plan_inspect的plan_inspect_id
   */
  planInspectId: string | number;

  /**
   * 巡检工单ID
   */
  inspectInstanceId: string | number;

  /**
   * 巡检单号
   */
  billsInspectCode: string;

  /**
   * 检查类型(1巡检 2点检)
   */
  inspectType: string;

  /**
   * 巡检线路，关联dms_base_inspect_route的inspect_route_id
   */
  inspectRouteId: string | number;

  /**
   * 设备总数
   */
  deviceAmount: number;

  /**
   * 计划开始时间
   */
  planBeginTime: string;

  /**
   * 计划完成时间
   */
  planEndTime: string;

  /**
   * 实际开始时间
   */
  realBeginTime: string;

  /**
   * 实际结束时间
   */
  realEndTime: string;

  /**
   * 执行人员
   */
  performer: string;

  /**
   * 巡检状态（1待巡检 2巡检中 3完成）
   */
  inspectStatus: string;

  /**
   * 巡检用时
   */
  inspectDuration: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsRecordInspectForm extends BaseEntity {
  /**
   * 主键标识
   */
  recordInspectId?: string | number;

  /**
   * 计划ID，关联dms_plan_inspect的plan_inspect_id
   */
  planInspectId?: string | number;

  /**
   * 巡检工单ID
   */
  inspectInstanceId?: string | number;

  /**
   * 巡检单号
   */
  billsInspectCode?: string;

  /**
   * 检查类型(1巡检 2点检)
   */
  inspectType?: string;

  /**
   * 巡检线路，关联dms_base_inspect_route的inspect_route_id
   */
  inspectRouteId?: string | number;

  /**
   * 设备总数
   */
  deviceAmount?: number;

  /**
   * 计划开始时间
   */
  planBeginTime?: string;

  /**
   * 计划完成时间
   */
  planEndTime?: string;

  /**
   * 实际开始时间
   */
  realBeginTime?: string;

  /**
   * 实际结束时间
   */
  realEndTime?: string;

  /**
   * 执行人员
   */
  performer?: string;

  /**
   * 巡检状态（1待巡检 2巡检中 3完成）
   */
  inspectStatus?: string;

  /**
   * 巡检用时
   */
  inspectDuration?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsRecordInspectQuery extends PageQuery {

  /**
   * 主键标识
   */
  recordInspectId?: string | number;

  /**
   * 计划ID，关联dms_plan_inspect的plan_inspect_id
   */
  planInspectId?: string | number;

  /**
   * 巡检工单ID
   */
  inspectInstanceId?: string | number;

  /**
   * 巡检单号
   */
  billsInspectCode?: string;

  /**
   * 检查类型(1巡检 2点检)
   */
  inspectType?: string;

  /**
   * 巡检线路，关联dms_base_inspect_route的inspect_route_id
   */
  inspectRouteId?: string | number;

  /**
   * 设备总数
   */
  deviceAmount?: number;

  /**
   * 计划开始时间
   */
  planBeginTime?: string;

  /**
   * 计划完成时间
   */
  planEndTime?: string;

  /**
   * 实际开始时间
   */
  realBeginTime?: string;

  /**
   * 实际结束时间
   */
  realEndTime?: string;

  /**
   * 执行人员
   */
  performer?: string;

  /**
   * 巡检状态（1待巡检 2巡检中 3完成）
   */
  inspectStatus?: string;

  /**
   * 巡检用时
   */
  inspectDuration?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



