export interface BaseProcessResourceVO {
  /**
   * 主键标识
   */
  processResourceId: string | number;

  /**
   * 工序ID
   */
  processId: string | number;

  /**
   * 指派类型（1人员 2班组 3机台 4工位）
   */
  assignmentType: string;

  /**
   * 载具工装类型
   */
  toolingTypeCode: string;

  /**
   * 必选标识（0可选 1必选）
   */
  requiredFlag: string;

  /**
   * 选择模式（0单选 1多选）
   */
  selectionMode: string;

  /**
   * 是否需要校验（0否 1是）
   */
  requiresValidation: string | number;

  /**
   * 是否需要准备任务（0否 1是）
   */
  requiresPreparation: string;

  /**
   * 备注
   */
  remark: string;
}

export interface BaseProcessResourceForm extends BaseEntity {
  /**
   * 主键标识
   */
  processResourceId?: string | number;

  /**
   * 指派类型（1人员 2班组 3机台 4工位）
   */
  assignmentType?: string;

  /**
   * 载具工装类型
   */
  toolingTypeCode?: string;

  /**
   * 必选标识（0可选 1必选）
   */
  requiredFlag?: string;

  /**
   * 选择模式（0单选 1多选）
   */
  selectionMode?: string;

  /**
   * 是否需要校验（0否 1是）
   */
  requiresValidation?: string | number;

  /**
   * 是否需要准备任务（0否 1是）
   */
  requiresPreparation?: string;

  /**
   * 备注
   */
  remark?: string;
}

export interface BaseProcessResourceQuery extends PageQuery {

  /**
   * 主键标识
   */
  processResourceId?: string | number;

  /**
   * 指派类型（1人员 2班组 3机台 4工位）
   */
  assignmentType?: string;

  /**
   * 载具工装类型
   */
  toolingTypeCode?: string;

  /**
   * 必选标识（0可选 1必选）
   */
  requiredFlag?: string;

  /**
   * 选择模式（0单选 1多选）
   */
  selectionMode?: string;

  /**
   * 是否需要校验（0否 1是）
   */
  requiresValidation?: string | number;

  /**
   * 是否需要准备任务（0否 1是）
   */
  requiresPreparation?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



