export interface BaseRouteMaterialVO {
  /**
   * 关联物料ID
   */
  routeMaterialId: string | number;

  /**
   * 工艺路线ID
   */
  routeId: string | number;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface BaseRouteMaterialForm extends BaseEntity {
  /**
   * 关联物料ID
   */
  routeMaterialId?: string | number;

  /**
   * 工艺路线ID
   */
  routeId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface BaseRouteMaterialQuery extends PageQuery {

  /**
   * 关联物料ID
   */
  routeMaterialId?: string | number;

  /**
   * 工艺路线ID
   */
  routeId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



