export interface BaseShiftInfoVO {
  /**
   * 主键标识
   */
  shiftId: string | number;

  /**
   * 班次编号
   */
  shiftCode: string;

  /**
   * 班次名称
   */
  shiftName: string;

  /**
   * 开始时间
   */
  startTime: string;

  /**
   * 开始跨天标识（1是 0否）
   */
  startCrossFlag: string;

  /**
   * 结束时间
   */
  endTime: string;

  /**
   * 结束跨天标识（1是 0否）
   */
  endCrossFlag: string;

  /**
   * 标准工作时长（秒）
   */
  workHour: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 班制类型(2两班 3三班)
   */
  classType: string;

}

export interface BaseShiftInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  shiftId?: string | number;

  /**
   * 班次编号
   */
  shiftCode?: string;

  /**
   * 班次名称
   */
  shiftName?: string;

  /**
   * 开始时间
   */
  startTime?: string;

  /**
   * 开始跨天标识（1是 0否）
   */
  startCrossFlag?: string;

  /**
   * 结束时间
   */
  endTime?: string;

  /**
   * 结束跨天标识（1是 0否）
   */
  endCrossFlag?: string;

  /**
   * 标准工作时长（秒）
   */
  workHour?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 班制类型(2两班 3三班)
   */
  classType?: string;

}

export interface BaseShiftInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  shiftId?: string | number;

  /**
   * 班次编号
   */
  shiftCode?: string;

  /**
   * 班次名称
   */
  shiftName?: string;

  /**
   * 开始时间
   */
  startTime?: string;

  /**
   * 开始跨天标识（1是 0否）
   */
  startCrossFlag?: string;

  /**
   * 结束时间
   */
  endTime?: string;

  /**
   * 结束跨天标识（1是 0否）
   */
  endCrossFlag?: string;

  /**
   * 标准工作时长（秒）
   */
  workHour?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 班制类型(2两班 3三班)
   */
  classType?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}



