export interface ProdBaseMachineInfoVO {
  /**
   * 主键标识
   */
  machineId: string | number;

  /**
   * 机台编号
   */
  machineCode: string;

  /**
   * 机台名称
   */
  machineName: string;

  /**
   * 资产编号
   */
  assetNumber: string;

  /**
   * 机台位置
   */
  machineLocation: string;

  /**
   * 机台类型
   */
  machineType: string;

  /**
   * 机台规格
   */
  machineSpec: string;

  /**
   * 供应商
   */
  supplierId: string | number;

  /**
   * 机台状态(0停用 1启用 2报废)
   */
  machineStatus: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 车间ID
   */
  workshopId: string | number;

  /**
   * 设备模型，关联设备模型dms_device_mode
   */
  deviceModeId: string | number;

  /**
   * 设备IP地址
   */
  machineIp: string;

  /**
   * 设备端口
   */
  machinePort: number;

  /**
   * 设备协议
   */
  accessProtocol: string;

  /**
   * 寄存器地址
   */
  registerAddress: string;

  /**
   * 数据类型（1、bool，2、short，3int，4long，5float，6byte，7ushort，8uint，9ulong，10double，11字符串）
   */
  dataType: string;

  /**
   * 数据长度
   */
  dataLength: number;

  /**
   * 数据编码格式（1ASCII,2Unicode,3Unicode-big,4UTF-8,5UTF-32,6、ANSI,7、GB2312）
   */
  dataEncoding: string;

  /**
   * 请求间隔（单位：毫秒）
   */
  requestInterval: number;

  /**
   * 入库类型（1直接入库 2扫描入库）
   */
  instockType: string;

  /**
   * 班制类型(2两班 3三班)
   */
  classType: string;

}

export interface ProdBaseMachineInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  machineId?: string | number;

  /**
   * 机台编号
   */
  machineCode?: string;

  /**
   * 机台名称
   */
  machineName?: string;

  /**
   * 资产编号
   */
  assetNumber?: string;

  /**
   * 机台位置
   */
  machineLocation?: string;

  /**
   * 机台类型
   */
  machineType?: string;

  /**
   * 机台规格
   */
  machineSpec?: string;

  /**
   * 供应商
   */
  supplierId?: string | number;

  /**
   * 机台状态(0停用 1启用 2报废)
   */
  machineStatus?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 车间ID
   */
  workshopId?: string | number;

  /**
   * 设备模型，关联设备模型dms_device_mode
   */
  deviceModeId?: string | number;

  /**
   * 设备IP地址
   */
  machineIp?: string;

  /**
   * 设备端口
   */
  machinePort?: number;

  /**
   * 设备协议
   */
  accessProtocol?: string;

  /**
   * 寄存器地址
   */
  registerAddress?: string;

  /**
   * 数据类型（1、bool，2、short，3int，4long，5float，6byte，7ushort，8uint，9ulong，10double，11字符串）
   */
  dataType?: string;

  /**
   * 数据长度
   */
  dataLength?: number;

  /**
   * 数据编码格式（1ASCII,2Unicode,3Unicode-big,4UTF-8,5UTF-32,6、ANSI,7、GB2312）
   */
  dataEncoding?: string;

  /**
   * 请求间隔（单位：毫秒）
   */
  requestInterval?: number;

  /**
   * 入库类型（1直接入库 2扫描入库）
   */
  instockType?: string;

  /**
   * 班制类型(2两班 3三班)
   */
  classType?: string;

}

export interface ProdBaseMachineInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  machineId?: string | number;

  /**
   * 机台编号
   */
  machineCode?: string;

  /**
   * 机台名称
   */
  machineName?: string;

  /**
   * 资产编号
   */
  assetNumber?: string;

  /**
   * 机台位置
   */
  machineLocation?: string;

  /**
   * 机台类型
   */
  machineType?: string;

  /**
   * 机台规格
   */
  machineSpec?: string;

  /**
   * 供应商
   */
  supplierId?: string | number;

  /**
   * 机台状态(0停用 1启用 2报废)
   */
  machineStatus?: string;

  /**
   * 车间ID
   */
  workshopId?: string | number;

  /**
   * 设备模型，关联设备模型dms_device_mode
   */
  deviceModeId?: string | number;

  /**
   * 设备IP地址
   */
  machineIp?: string;

  /**
   * 设备端口
   */
  machinePort?: number;

  /**
   * 设备协议
   */
  accessProtocol?: string;

  /**
   * 寄存器地址
   */
  registerAddress?: string;

  /**
   * 数据类型（1、bool，2、short，3int，4long，5float，6byte，7ushort，8uint，9ulong，10double，11字符串）
   */
  dataType?: string;

  /**
   * 数据长度
   */
  dataLength?: number;

  /**
   * 数据编码格式（1ASCII,2Unicode,3Unicode-big,4UTF-8,5UTF-32,6、ANSI,7、GB2312）
   */
  dataEncoding?: string;

  /**
   * 请求间隔（单位：毫秒）
   */
  requestInterval?: number;

  /**
   * 入库类型（1直接入库 2扫描入库）
   */
  instockType?: string;

  /**
   * 班制类型(2两班 3三班)
   */
  classType?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}



