export interface ToolingTypeVO {
  /**
   * 主键标识
   */
  toolingTypeId: string | number;

  /**
   * 工装类型编号
   */
  toolingTypeCode: string;

  /**
   * 工装类型名称
   */
  toolingTypeName: string;

  /**
   * 工装类型规格
   */
  toolingSpecCode: string;

  /**
   * 标准使用次数/秒
   */
  standardLife: number;

  /**
   * 标准重量(kg)
   */
  standardWeight: number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 关联物料信息
   */
  typeRelationList?: any[];
}

export interface ToolingTypeForm extends BaseEntity {
  /**
   * 主键标识
   */
  toolingTypeId?: string | number;

  /**
   * 工装类型编号
   */
  toolingTypeCode?: string;

  /**
   * 工装类型名称
   */
  toolingTypeName?: string;

  /**
   * 工装类型规格
   */
  toolingSpecCode?: string;

  /**
   * 标准使用次数/秒
   */
  standardLife?: number;

  /**
   * 标准重量(kg)
   */
  standardWeight?: number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 关联物料信息
   */
  typeRelationList?: any[];

  /**
   * 关联工序信息
   */
  processList?: any[];
}

export interface ToolingTypeQuery extends PageQuery {

  /**
   * 主键标识
   */
  toolingTypeId?: string | number;

  /**
   * 工装类型编号
   */
  toolingTypeCode?: string;

  /**
   * 工装类型名称
   */
  toolingTypeName?: string;

  /**
   * 工装类型规格
   */
  toolingSpecCode?: string;

  /**
   * 标准使用次数/秒
   */
  standardLife?: number;

  /**
   * 标准重量(kg)
   */
  standardWeight?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



