export interface DatabaseLinkVO {
  /**
   * 连接ID
   */
  linkId: string | number;

  /**
   * 菜单名称
   */
  linkName: string;

  /**
   * 数据库类型（mysql/postgresql/oracle/sqlserver等）
   */
  dbType: string;

  /**
   * 主机地址
   */
  host: string;

  /**
   * 端口号
   */
  port: number;

  /**
   * 数据库名
   */
  dbName: string;

  /**
   * 用户名
   */
  username: string;

  /**
   * 密码
   */
  password: string;

  /**
   * JDBC连接串
   */
  jdbcUrl: string;

  /**
   * 驱动类名
   */
  driverClass: string;

  /**
   * 状态（1正常 0停用）
   */
  status: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DatabaseLinkForm extends BaseEntity {
  /**
   * 连接ID
   */
  linkId?: string | number;

  /**
   * 菜单名称
   */
  linkName?: string;

  /**
   * 数据库类型（mysql/postgresql/oracle/sqlserver等）
   */
  dbType?: string;

  /**
   * 主机地址
   */
  host?: string;

  /**
   * 端口号
   */
  port?: number;

  /**
   * 数据库名
   */
  dbName?: string;

  /**
   * 用户名
   */
  username?: string;

  /**
   * 密码
   */
  password?: string;

  /**
   * JDBC连接串
   */
  jdbcUrl?: string;

  /**
   * 驱动类名
   */
  driverClass?: string;

  /**
   * 状态（1正常 0停用）
   */
  status?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DatabaseLinkQuery extends PageQuery {

  /**
   * 连接ID
   */
  linkId?: string | number;

  /**
   * 菜单名称
   */
  linkName?: string;

  /**
   * 数据库类型（mysql/postgresql/oracle/sqlserver等）
   */
  dbType?: string;

  /**
   * 主机地址
   */
  host?: string;

  /**
   * 端口号
   */
  port?: number;

  /**
   * 数据库名
   */
  dbName?: string;

  /**
   * 用户名
   */
  username?: string;

  /**
   * 密码
   */
  password?: string;

  /**
   * JDBC连接串
   */
  jdbcUrl?: string;

  /**
   * 驱动类名
   */
  driverClass?: string;

  /**
   * 状态（1正常 0停用）
   */
  status?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



